html, body{
    margin: 0;
    padding: 0;
    height: 100%;
}
h1{
    text-align: center;
    margin: 50px
}
#root{
    display: flex;
    height: 100%;
}
#listofBooks, #editBooks{
    display: inline-block;
    margin: 0 auto;
    width: 50%;
}
#listofBooks ul{
    margin: 10%;
}
#listofBooks ul li {
    list-style-type: none;
    font-size: 32px;
    margin: 20px;
}
#listofBooks ul li span {
    width: 80%;
    display: inline-block;
    cursor: pointer;
}
#edit_button{
    border-radius: unset;
    border: 1px solid grey;
    cursor: pointer;
    width: 100px;
    padding: 10px;
    background-color: white;
}
#edit_button:hover{
    box-shadow: inset 0 0 10px grey;
}
#add_button{
    border: 0;
    font-weight: 400;
    font-size: 64px;
    margin: 0 auto;
    display: block;
    cursor: pointer;
    background-color: white;
}
#add_button:hover {
    color: grey;
    background-color: white;
}
#editBooks{
    background-color: #666666;
    display: inline-block;
    margin: 0 auto;
    width: 50%;
}
#editForm{
    margin: 0 auto;
    display: inline-block;
    width: 100%;
}
.preview{
    text-align: center;
    padding: 0 50px;
}
.preview span{
    display: inline-block;
}
.preview  img{
    display: block;
    margin: 0 auto ;
    margin-bottom: 20px;
}
#bookPreview{
    color: #ccc;
}
#bookPreview form{
    margin: 0 auto;
    width: 50%;
    line-height: 2;
}
#bookPreview form input, #bookPreview form textarea{
    float: right;
    padding: 10px;
    width: 60%;
}
#submitButton{
    margin: 0 auto;
    display: block;
    width: 20%;
    position: relative;
    top: 50px;
}
#submitButton button{
    width: 100%;
    padding: 20px;
    cursor: pointer;
    margin:10px;
}


/* The Modal (background) */
.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    padding-top: 100px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
    text-align: center;
}

/* Modal Content */
.modal-content {
    background-color: #fefefe;
    margin: auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
}
.modal-content button{
    margin: 10px;
}
/* The Close Button */
.close {
    color: #aaaaaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
}